Debian 6 ou CentOS 6 – lequel est le plus simple pour les dernières versions de Ruby et Postgres?

Je reçois un nouveau server car j'ai détruite ma boîte actuelle, en essayant d'installer Postgres 9 (sur ma boîte CentOS 5.8). Pour couper une courte histoire, j'ai supprimé les postgres, mais yum a décidé d'enlever virtuellement la base de bits, ce qui a cassé mon installation virtuelle (postfix / dovcot a cessé de fonctionner). Virtualmin conseille une nouvelle installation une fois que la base virtuelle a été supprimée / réinstallée.

Donc, je vais probablement prendre une décision basée sur ce critère simple: quelle distance des deux facilite-t-elle l'installation des dernières versions de Ruby et Postgres?

Ils sont tous deux également respectés en tant que servers Web, donc je ne me dérange pas de toute façon – je veux simplement utiliser celui qui fonctionnera le mieux avec les logiciels dont j'ai besoin.

4 Solutions collect form web for “Debian 6 ou CentOS 6 – lequel est le plus simple pour les dernières versions de Ruby et Postgres?”

Eh bien, d'après ce que je sais, cela pourrait être plus facile pour Debian, car vous pouvez essayer d'accrocher des référentiels pour Ubuntu et ses fourchettes.

Mes expériences avec CentOS ont été jusqu'ici assez horribles (de la variété "comstackr simplement la personnalité déjà locale").

D'un sharepoint vue Ruby, je pense que RHEL / Scientific Linux / CentOS exécute encore Ruby 1.8.7.

Je crois que les gars de Rails éliminent progressivement le soutien de cette version.

Je sais que vous pouvez extraire une version ultérieure de Ruby à partir de Debian Testing / Unstable à l'aide d'un pincement (YMMV – risky).

Je ne connais pas les exigences de votre utilisation.

Les applications Ruby dépendent généralement d'une version ruby ​​spécifique, afin de mieux connaître la version ruby ​​dont vous avez besoin et ensuite jeter un oeil sur les versions des repositorys standard.

Ruby peut être très pointilleux. Si la distro prend en charge la version ruby ​​dont vous avez besoin, allez-y. Ayant dit que j'utilise Centos avec une version auto-compilée de Ruby et des Gems qui ne sont pas venus avec le repository.

Si vous allez pour Centos, le repository EPEL possède des pierres gemmes généralement nécessaires.

Si vous souhaitez utiliser les packages dans les référentiels distro au lieu de comstackr à partir de la source:

  • Comment une key RSA peut-elle être placée dans un "non-dossier"?
  • limite de memory php cli
  • Erreur Backup2l lors de la sauvegarde des files en cours d'utilisation.
  • Les cases à cocher Debian 6 Synaptic Package Monitor agissent comme si aucun logiciel n'était installé
  • Comment déterminer la bibliothèque SSL MySQL?
  • Comment puis-je mettre à jour automatiquement Debian Squeeze?
  • ordre des servers de noms dans resolv.conf
  • Le travail de Cron ne semble pas fonctionner
  • Debian Squeeze Server avec RAID 10
  • Erreur lors de l'authentification de git repository avec Redmine
  • Erreurs MySQL étranges après Dissortingb Upgrade (SQL 5.0> 5.1)
  • Les astuces du serveur de linux et windows, tels que ubuntu, centos, apache, nginx, debian et des sujets de rĂ©seau.